package org.bench4q.monitor.service.linux;

import java.io.FileNotFoundException;
import java.io.IOException;

import org.bench4q.monitor.model.ProcessorModel;
import org.bench4q.monitor.performance.linux.ProcessorMonitor;

public class ProcessorServiceLinux {

	public ProcessorServiceLinux() throws FileNotFoundException {
		this.processorMonitor = new ProcessorMonitor();
	}

	private ProcessorMonitor processorMonitor;

	public ProcessorMonitor getProcessorMonitor() {
		return processorMonitor;
	}

	public void setProcessorMonitor(ProcessorMonitor processorMonitor) {
		this.processorMonitor = processorMonitor;
	}

	public ProcessorModel getProcessorInfo(Integer idleTime)
			throws IOException, InterruptedException {
		return this.processorMonitor.getProcessorInfo(idleTime);
	}
}
